Bug 771771 - (CVE-2011-4109) CVE-2011-4109 openssl: double-free in policy checks
CVE-2011-4109 openssl: double-free in policy checks
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120104,repor...
: Security
Depends On: 773241 773243 773331
Blocks: 771783
  Show dependency treegraph
 
Reported: 2012-01-04 17:35 EST by Vincent Danen
Modified: 2012-09-25 03:55 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-25 03:55:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-01-04 17:35:03 EST
Double-free in Policy Checks (CVE-2011-4109)
============================================

If X509_V_FLAG_POLICY_CHECK is set in OpenSSL 0.9.8, then a policy
check failure can lead to a double-free. The bug does not occur 
unless this flag is set. Users of OpenSSL 1.0.0 are not affected.

This flaw was discovered by Ben Laurie and a fix provided by Emilia
Kasper <ekasper@google.com> of Google.

Affected users should upgrade to OpenSSL 0.9.8s.

Reference: http://openssl.org/news/secadv_20120104.txt
Comment 1 Vincent Danen 2012-01-04 18:08:52 EST
Seems to be the fix here:

http://cvs.openssl.org/chngview?cn=21941
Comment 3 Tomas Hoger 2012-01-11 09:51:23 EST
Created mingw32-openssl tracking bugs for this issue

Affects: epel-5 [bug 773331]
Comment 5 errata-xmlrpc 2012-01-24 16:05:10 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0060 https://rhn.redhat.com/errata/RHSA-2012-0060.html
Comment 6 Vincent Danen 2012-01-26 13:57:47 EST
The affected functions are not present in openssl 0.9.7a either, so Red Hat Enterprise Linux 4 is not affected by this flaw either.

Statement:

This issue did not affect the versions of openssl as shipped with Red Hat Enterprise Linux 4 and 6.
Comment 7 errata-xmlrpc 2012-02-21 00:05:44 EST
This issue has been addressed in following products:

  RHEV-H, V2V and Agents for RHEL-5

Via RHSA-2012:0168 https://rhn.redhat.com/errata/RHSA-2012-0168.html
Comment 8 errata-xmlrpc 2012-09-24 12:02:34 EDT
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 6.0.0

Via RHSA-2012:1308 https://rhn.redhat.com/errata/RHSA-2012-1308.html
Comment 9 errata-xmlrpc 2012-09-24 12:03:35 EDT
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 5.1.2

Via RHSA-2012:1307 https://rhn.redhat.com/errata/RHSA-2012-1307.html
Comment 10 errata-xmlrpc 2012-09-24 12:04:40 EDT
This issue has been addressed in following products:

  JBoss Enterprise Web Server 1.0.2

Via RHSA-2012:1306 https://rhn.redhat.com/errata/RHSA-2012-1306.html

Note You need to log in before you can comment on or make changes to this bug.